﻿<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="Default.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml" > 	
<head id="Head1" runat="server">
    <title>Dynamic Column Grid Demo</title>
    <link rel="stylesheet" type="text/css" href="ExtJs0201/resources/css/ext-all.css" />
 	<!-- LIBS -->
 	<script type="text/javascript" src="ExtJs0201/adapter/ext/ext-base.js"></script>
 	<!-- ENDLIBS -->
 	<script type="text/javascript" src="ExtJs0201/ext-all.js"></script>
 	
 	<script type="text/javascript" language="javascript">

 	    Ext.onReady(function() {

 	        var store = new Ext.data.JsonStore(
 	        {
                url: 'getdata.ashx?t=<% Response.Write(this.TableName); %>',
                root: 'SrcTable',
 	            fields:
 	                [
                        <% Response.Write(this.FieldList); %>
                    ]
 	        });


 	        var grid = new Ext.grid.GridPanel({
 	            store: store,
 	            columns: [
                    <% Response.Write(this.ColumnList); %>
                ],
 	            renderTo: 'samplegrid',
 	            width: '100%',
 	            height: 500
 	        });
 	        
 	        store.load();

 	    });
 	
 	</script>
    
    
</head>
<body>
    <form id="form1" runat="server">
    <div id="samplegrid">
    
    </div>
    <div>
        <br /><br />
        <asp:Button ID="btnRegion" runat="server" Text="Region" 
            onclick="btnRegion_Click" />
        <asp:Button ID="btnOrders" runat="server" Text="Orders" 
            onclick="btnOrders_Click" />
        <asp:Button ID="btnShippers" runat="server" Text="Shippers" 
            onclick="btnShippers_Click" />
        <br /><br />
        Table Name:<asp:TextBox ID="txtTableName" runat="server"></asp:TextBox>
        <asp:Button ID="btnShowData" runat="server" Text="Get Data From Table" 
            onclick="btnShowData_Click" />
    </div>
    </form>
</body>
</html>
