﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.SqlClient;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            string strFL = string.Empty;
            string strCL = string.Empty;

            if (TableName != string.Empty)
            {

                /*
                 * 
                 * 该SQL语句除了列名之外还取出了类型
                 * 可以根据类型对列进行相应的处理
                 * 当然关于列的其它信息也可几个系统表中获取到
                 * 
                 */
                string strSQL = @"
                            SELECT 
                                  syscolumns.name AS ColumnName
                                , systypes.name AS ColumnType
                            FROM 
                                sysobjects 
                            INNER JOIN syscolumns ON sysobjects.id = syscolumns.id 
                            INNER JOIN systypes ON syscolumns.xtype = systypes.xtype
                            WHERE 
                                    (sysobjects.xtype = 'U') 
                                AND (sysobjects.name = N'" + this.TableName + @"')
                        ";

                SqlDataAdapter sda = new SqlDataAdapter(strSQL, System.Configuration.ConfigurationSettings.AppSettings["ConnectionString"]);

                DataTable dt = new DataTable("ColumnInfo");

                sda.Fill(dt);

                sda.Dispose();

                if (dt != null && dt.Rows != null && dt.Rows.Count > 0)
                {
                    for (int i = 0; i < dt.Rows.Count; i++)
                    {

                        strFL += "'" + dt.Rows[i]["ColumnName"].ToString() + "'";
                        strCL += "{ header: '" + dt.Rows[i]["ColumnName"].ToString() + "', width: 100, dataIndex: '" + dt.Rows[i]["ColumnName"].ToString() + "' }";

                        if (i < dt.Rows.Count - 1)
                        {
                            strFL += ",";
                            strCL += ",";
                        }
                    }
                }

                dt.Dispose();

                ViewState["fl"] = strFL;
                ViewState["cl"] = strCL;

            }
        }
        catch
        {

        }
    }

    public string TableName
    {
        get
        {
            string strRtn = string.Empty;

            if (this.Request != null && this.Request.QueryString != null && this.Request.QueryString["t"] != null && this.Request.QueryString["t"].ToString().Trim() != string.Empty)
            {
                strRtn = this.Request.QueryString["t"].ToString().Trim();
            }

            return strRtn;
        }
    }

    private string fieldList = string.Empty;

    public string FieldList
    {
        get
        {
            return ViewState["fl"] != null ? ViewState["fl"].ToString() : string.Empty;
        }
        set 
        {
            ViewState["fl"] = value;
        }
    }

    public string ColumnList
    { 
        get
        {
            return ViewState["cl"] != null ? ViewState["cl"].ToString() : string.Empty;
        }
        set
        {
            ViewState["cl"] = value;
        }
    }


    protected void btnRegion_Click(object sender, EventArgs e)
    {
        this.Response.Redirect("default.aspx?t=region");
    }

    protected void btnOrders_Click(object sender, EventArgs e)
    {
        this.Response.Redirect("default.aspx?t=orders");
    }


    protected void btnShippers_Click(object sender, EventArgs e)
    {
        this.Response.Redirect("default.aspx?t=shippers");
    }

    protected void btnShowData_Click(object sender, EventArgs e)
    {
        this.Response.Redirect("default.aspx?t=" + this.txtTableName.Text.Trim());
    }
}
